#
# spec file for package python-autodoc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-autodoc
Version:        0.3
Release:        lp150.1.3
Url:            https://github.com/heavenshell/py-autodoc
Summary:        Autodoc Python implementation
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/a/autodoc/autodoc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-WebTest
BuildRequires:  python-decorator
BuildRequires:  python-devel
BuildRequires:  python-mock
BuildRequires:  python-requests
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
Autodoc generates documentation from your unit test.
This library is a Python implementation of Autodoc.

%prep
%setup -q -n autodoc-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Wed Jan 18 2017 jengelh@inai.de
- Update description
* Sat Dec  5 2015 ecsos@opensuse.org
- initial version 0.3
